<script>
import { GlButton } from "@gitlab/ui"

export default {
    props: {
        existing: String,
        project: String,
        gitRef: String,
    },
    components: {
        GlButton,
    },
    computed: {
        createNewUrl() {
            return `/?project=${this.project}&ref=${this.gitRef}&new=true`
        }
    }
}
</script>

<template>
  <div>
    <p>You already have an existing workspace for this project.</p>
    <p>Do you want to open it or create a new one?</p>
    <div class="baseline container mx-auto">
        <div class="flex m-10">
            <div class="flex-1 shrink">
                <gl-button category="primary" variant="confirm" :href="existing">Open Existing</gl-button>
            </div>
            <div class="flex-1 shrink">
                <gl-button category="secondary" variant="danger" :href="createNewUrl">Create New</gl-button>
            </div>
        </div>
    </div>
  </div>
</template>

<style scoped>
</style>
